<mat-stepper linear #stepper>
    <mat-step class="stepper">
        <ng-template matStepLabel>Fill the form</ng-template>
        <form id="1" [formGroup]="archivePacketsForm" (ngSubmit)="createPacketRequest(stepper)">
        <h3>Please enter a time frame between 5 minutes</h3>
        <mat-form-field
            appearance="fill"
            *ngFor="let form of formFillFields; let i = index"
        >
            <mat-label> {{ form }}</mat-label>

            <input
            [formControlName]="form"
            matInput
            [ngxMatDatetimePicker]="picker"
            type="text"
            
            /><mat-datepicker-toggle matSuffix [for]="$any(picker)">
            </mat-datepicker-toggle>

            <ngx-mat-datetime-picker
            #picker
            [showSpinners]="true"
            [showSeconds]="true"
            >
            </ngx-mat-datetime-picker>

            <mat-error
            *ngIf="this.archivePacketsForm.get(form)?.errors?.['required'] && this.archivePacketsForm.get(form)?.touched "
            >{{ form }} is required</mat-error
            >
            <mat-hint *ngIf="i == 0">
            Earliest Time: {{ this.starthint }}
            </mat-hint>
            <mat-hint *ngIf="i == 1">Latest Time: {{ this.stophint }} </mat-hint>
        </mat-form-field>
        </form>

        <div>
            <button
                mat-button
                form="1"
                type="submit"
            >
                Next <mat-icon> forward</mat-icon>
            </button>
        </div>
    </mat-step>
    <mat-step class="stepper">
        <ng-template matStepLabel>Review Archive Packets</ng-template>
        <div>
            <button mat-button matStepperPrevious id="back">
                <mat-icon> undo</mat-icon>
                Back
            </button>
            <mat-form-field>
                <input matInput placeholder="Filter" [(ngModel)]="searchTerm" />
                <mat-icon matPrefix>search</mat-icon>
            </mat-form-field>
            <div class="panel-titles">
                <div class="title">Packet Name</div>
                <div class="title">Generation Time</div>
                <div class="title">Actions</div>
            </div>
            <mat-accordion>
                <mat-expansion-panel *ngFor="let packet of archivePacketsArray; let i = index" [class.highlight]="searchedPacket(packet.id.name)">
                    <mat-expansion-panel-header>
                        <mat-panel-title [title]="packet.id.name">
                            {{ packet.id.name }}
                        </mat-panel-title>
                        <mat-panel-description>
                            <div class="time">
                                <a> {{  packet.generationTime | date : "dd/MM/YYYY HH:mm:ss" }}</a>
                            </div>
                            <button mat-button class="extract" (click)="extractPacket(packet)" title="Extract Packet">
                                <mat-icon>output</mat-icon>
                            </button>
                        </mat-panel-description>
                    </mat-expansion-panel-header>
            
                    <h3>Name</h3>
                    <h4>{{ packet.id.name }}</h4>
                    <mat-divider></mat-divider>
                    <h3>Generation Time</h3>
                    <h4>{{ packet.generationTime }}</h4>
                    <mat-divider></mat-divider>
                    <h3>Reception Time</h3>
                    <h4>{{ packet.receptionTime }}</h4>
                    <h3>Packet</h3>
                    <h4>{{ packet.packet }}</h4>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
    </mat-step>
</mat-stepper>
